cURL
curl --request GET \
--url https://api.hubapi.com/communication-preferences/v3/status/email/{emailAddress} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/communication-preferences/v3/status/email/{emailAddress}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/communication-preferences/v3/status/email/{emailAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recipient": "<string>",
"subscriptionStatuses": [
{
"description": "<string>",
"id": "<string>",
"name": "<string>",
"brandId": 123,
"legalBasisExplanation": "<string>",
"preferenceGroupName": "<string>"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}v3
Get subscription statuses for a contact
GET
/
communication-preferences
/
v3
/
status
/
email
/
{emailAddress}
cURL
Supported products
Supported products
Required Scopes
Required Scopes
Autorizações
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Parâmetros de caminho
Última modificação em 10 de abril de 2026
⌘I